<?php

namespace app\common\validate;


use think\Validate;

/**
 
 * 
 
 * 
 * ----------------------------------------------------------------------------
 * 
 
 * 验证器
 */
class  Mallconsult extends Validate
{
    protected $rule = [
        'mallconsulttype_name' => 'require',
        'mallconsulttype_sort' => 'require|number',
        'type_id' => 'require|number',
        'consult_content' => 'require'
    ];
    protected $message = [
        'mallconsulttype_name.require' => '请填写咨询类型名称',
        'mallconsulttype_sort.require' => '请正确填写咨询类型排序',
        'mallconsulttype_sort.number' => '请正确填写咨询类型排序',
        'type_id.require' => '请选择咨询类型',
        'type_id.number' => '请选择咨询类型',
        'consult_content.require' => '请填写咨询内容'
    ];
    protected $scene = [
        'type_add' => ['mallconsulttype_name', 'mallconsulttype_sort'],
        'type_edit' => ['mallconsulttype_name', 'mallconsulttype_sort'],
        'save_mallconsult' => ['type_id', 'consult_content'],
    ];
}
